mount_vfs_model_path	(current_mod_path.."/Shapes")
mount_vfs_texture_path  (current_mod_path.."/Textures/textures.zip")



--------------------------------------------------------------------------------


generic = {};
generic.chassis = {}
generic.fire_on_run = false
generic.visual = {
			fire_pos = {},
			min_time_agony = 60,
			max_time_agony = 60
			}

			
generic.snd = { 
	hit = "Damage/Hit"
};

generic.armour_scheme = unarmed_armour_scheme;

generic.animation_arguments = {
    alarm_state = 9, -- Alarme animation
    locator_rotation = -1
}

generic_ship = {};
------

GT = {};
GT_t.ws = 0;

generic_ship = {};
set_recursive_metatable(GT, generic);

GT.visual = {}
GT.visual.shape = "pandorahigh"
GT.visual.shape_dstr = ""

GT.life = 5000
GT.mass = 7.05e+007
GT.max_velocity = 37.5
GT.race_velocity = 32
GT.economy_velocity = 9.26
GT.economy_distance = 1.4816e+007
GT.race_distance = 4.63e+006
GT.shipLength = 350
GT.Width = 60
GT.Height = 60
GT.Length = 350
GT.DeckLevel = 2340
GT.X_tail = -0.5
GT.Tail_Width = 0.001
GT.Gamma_max = 0.35
GT.Om = 0.2
GT.speedup = 0.2
GT.R_min = 500
GT.distFindObstacles = 1

GT.numParking = 5
GT.Plane_Num_ = 24
GT.Helicopter_Num_ = 12

GT.animation_arguments.radar1_rotation = 1; -- Approach light
GT.radar1_period = 1;
GT.animation_arguments.radar2_rotation = 2; -- Elevator
GT.radar2_period = 750;
GT.animation_arguments.radar3_rotation = 3; -- AnimatedP21
GT.radar3_period = 750;

GT.animation_arguments.alarm_state = 9; -- Hatches
GT.animation_arguments.blast_fences = {61,62}; -- Front door and back door
GT.animation_arguments.water_propeller = 65; -- Propellers
--GT.animation_arguments.landing_strip_illumination = 69; 
--GT.animation_arguments.catapult_shuttles = {145, 146, 147, 148}
GT.animation_arguments.flight_deck_fences = 150; --Hangar doors


GT.airWeaponDist = 25000
GT.airFindDist = 25000


GT.Landing_Point = {-300.0, 1500, 0}            
GT.LSOView = {cockpit = "empty", position = {--[[connector = "",]] offset = {102, 1513, 17.5, -185, -3.0}}}



GT_t.WS_t.ship_Oerlikon_20 = {name = "20 mm Oerlikon"};
GT_t.WS_t.ship_Oerlikon_20.angles = {
                    {math.rad(180), math.rad(-180), math.rad(-90), math.rad(90)},
                    };
GT_t.WS_t.ship_Oerlikon_20.omegaY = math.rad(115) -- Block 1B
GT_t.WS_t.ship_Oerlikon_20.omegaZ = math.rad(116) -- Block 1B
GT_t.WS_t.ship_Oerlikon_20.pidY = {p=300, i = 0.05, d = 10.0, inn = 1000};
GT_t.WS_t.ship_Oerlikon_20.pidZ = {p=300, i = 0.05, d = 10.0, inn = 1000};
GT_t.WS_t.ship_Oerlikon_20.reference_angle_Z = 0
GT_t.WS_t.ship_Oerlikon_20.LN = {}
GT_t.WS_t.ship_Oerlikon_20.LN[1] = {}
GT_t.WS_t.ship_Oerlikon_20.LN[1].type = 3
GT_t.WS_t.ship_Oerlikon_20.LN[1].distanceMin = 10
GT_t.WS_t.ship_Oerlikon_20.LN[1].distanceMax = 2500 -- effective shooting with 3600 meters
GT_t.WS_t.ship_Oerlikon_20.LN[1].max_trg_alt = 3000
GT_t.WS_t.ship_Oerlikon_20.LN[1].reactionTime = 1
GT_t.WS_t.ship_Oerlikon_20.LN[1].beamWidth = math.rad(1);
GT_t.WS_t.ship_Oerlikon_20.LN[1].sensor = {}
set_recursive_metatable(GT_t.WS_t.ship_Oerlikon_20.LN[1].sensor, GT_t.WSN_t[3])
GT_t.WS_t.ship_Oerlikon_20.LN[1].PL = {}
GT_t.WS_t.ship_Oerlikon_20.LN[1].PL[1] = {}
GT_t.WS_t.ship_Oerlikon_20.LN[1].PL[1].ammo_capacity = 2550;
GT_t.WS_t.ship_Oerlikon_20.LN[1].PL[1].shell_name = {"Rh202_20_AP", "Rh202_20_HE"};
GT_t.WS_t.ship_Oerlikon_20.LN[1].PL[1].shell_display_name = "20mm AP+HE";
GT_t.WS_t.ship_Oerlikon_20.LN[1].PL[1].shot_delay = 60/450 -- 450 rounds per minute average
GT_t.WS_t.ship_Oerlikon_20.LN[1].PL[1].reload_time = 1000000; -- never during the mission (ship autogun)
GT_t.WS_t.ship_Oerlikon_20.LN[1].BR = { {pos = {3.478, 0, 0} }, }




-- weapon systems
GT.WS = {}
local ws;
GT.WS.maxTargetDetectionRange = 25000;
--GT.WS.radar_type = 102

--------------------------------------------------------------------------------
-- CIWS Phalanxs
--------------  FREMM : Machine Gun Oerlikon Left ------------------------------------------------------------------------------
ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.phalanx )
GT.WS[ws].drawArgument1 = 36
GT.WS[ws].drawArgument2 = 37
GT.WS[ws].pos = {-153, 1570, 0.0};
GT.WS[ws].angles[1][1] = math.rad(180);
GT.WS[ws].angles[1][2] = math.rad(180);
GT.WS[ws].reference_angle_Y = math.rad(180);   
GT.WS[ws].LN[1].fireAnimationArgument = 45;

ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.phalanx )
GT.WS[ws].drawArgument1 = 38
GT.WS[ws].drawArgument2 = 39
GT.WS[ws].pos = {222, 1552.4, 0.0};
GT.WS[ws].angles_mech = {
							{math.rad(-50), math.rad(-310), math.rad(-20), math.rad(90)}
						}
GT.WS[ws].angles[1][1] = math.rad(180);
GT.WS[ws].angles[1][2] = math.rad(180);
GT.WS[ws].reference_angle_Y = math.rad(0);   
GT.WS[ws].LN[1].fireAnimationArgument = 45;
------------------------------------------------------------------------------
-- end PHALANX
------------------------------------------------------------------------------




ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.ship_Oerlikon_20 )
GT.WS[ws].drawArgument1 = 87
GT.WS[ws].drawArgument2 = 88
GT.WS[ws].pos = {112.6, 1488, 0.0};
GT.WS[ws].angles_mech = {
							{math.rad(180), math.rad(-180), math.rad(-90), math.rad(5)}
						}
GT.WS[ws].angles[1][1] = math.rad(180);
GT.WS[ws].angles[1][2] = math.rad(180);
GT.WS[ws].reference_angle_Y = math.rad(180);   

ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.ship_Oerlikon_20 )
GT.WS[ws].drawArgument1 = 89
GT.WS[ws].drawArgument2 = 90
GT.WS[ws].pos = {68, 1491.9, 0.0};
GT.WS[ws].angles_mech = {
							{math.rad(180), math.rad(-180), math.rad(-90), math.rad(-5)}
						}
GT.WS[ws].angles[1][1] = math.rad(180);
GT.WS[ws].angles[1][2] = math.rad(180);
GT.WS[ws].reference_angle_Y = math.rad(180);   

ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.ship_Oerlikon_20 )
GT.WS[ws].drawArgument1 = 91
GT.WS[ws].drawArgument2 = 92
GT.WS[ws].pos = {-223.7, 1512.5, 0.0};
GT.WS[ws].angles_mech = {
							{math.rad(90), math.rad(-90), math.rad(-90), math.rad(-15)}
						}
GT.WS[ws].angles[1][1] = math.rad(180);
GT.WS[ws].angles[1][2] = math.rad(180);
GT.WS[ws].reference_angle_Y = math.rad(180);   




--Lateral tribord : 


ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.ship_Oerlikon_20 )
GT.WS[ws].drawArgument1 = 93
GT.WS[ws].drawArgument2 = 94
GT.WS[ws].pos = {96.5, 1550.35, 51.24};
GT.WS[ws].angles_mech = {
							{math.rad(2), math.rad(178), math.rad(-20), math.rad(90)}
						}
GT.WS[ws].angles[1][1] = math.rad(180);
GT.WS[ws].angles[1][2] = math.rad(180);
GT.WS[ws].reference_angle_Y = math.rad(180);   


ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.ship_Oerlikon_20 )
GT.WS[ws].drawArgument1 = 95
GT.WS[ws].drawArgument2 = 96
GT.WS[ws].pos = {14.35, 1550.35, 51.24};
GT.WS[ws].angles_mech = {
							{math.rad(2), math.rad(178), math.rad(-20), math.rad(90)}
						}
GT.WS[ws].angles[1][1] = math.rad(180);
GT.WS[ws].angles[1][2] = math.rad(180);
GT.WS[ws].reference_angle_Y = math.rad(180);   


ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.ship_Oerlikon_20 )
GT.WS[ws].drawArgument1 = 97
GT.WS[ws].drawArgument2 = 98
GT.WS[ws].pos = {-56.49, 1550.35, 51.24};
GT.WS[ws].angles_mech = {
							{math.rad(2), math.rad(178), math.rad(-20), math.rad(90)}
						}
GT.WS[ws].angles[1][1] = math.rad(180);
GT.WS[ws].angles[1][2] = math.rad(180);
GT.WS[ws].reference_angle_Y = math.rad(180);   


ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.ship_Oerlikon_20 )
GT.WS[ws].drawArgument1 = 99
GT.WS[ws].drawArgument2 = 100
GT.WS[ws].pos = {70.72, 1517.68, 51.24};
GT.WS[ws].angles_mech = {
							{math.rad(2), math.rad(178), math.rad(-20), math.rad(90)}
						}
GT.WS[ws].angles[1][1] = math.rad(180);
GT.WS[ws].angles[1][2] = math.rad(180);
GT.WS[ws].reference_angle_Y = math.rad(180);   


ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.ship_Oerlikon_20 )
GT.WS[ws].drawArgument1 = 101
GT.WS[ws].drawArgument2 = 102
GT.WS[ws].pos = {-8.47, 1517.68, 51.24};
GT.WS[ws].angles_mech = {
							{math.rad(2), math.rad(178), math.rad(-20), math.rad(90)}
						}
GT.WS[ws].angles[1][1] = math.rad(180);
GT.WS[ws].angles[1][2] = math.rad(180);
GT.WS[ws].reference_angle_Y = math.rad(180);   


ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.ship_Oerlikon_20 )
GT.WS[ws].drawArgument1 = 103
GT.WS[ws].drawArgument2 = 104
GT.WS[ws].pos = {-82.32, 1517.68, 51.24};
GT.WS[ws].angles_mech = {
							{math.rad(2), math.rad(178), math.rad(-20), math.rad(90)}
						}
GT.WS[ws].angles[1][1] = math.rad(180);
GT.WS[ws].angles[1][2] = math.rad(180);
GT.WS[ws].reference_angle_Y = math.rad(180);   




--Lateral babord : 

ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.ship_Oerlikon_20 )
GT.WS[ws].drawArgument1 = 105
GT.WS[ws].drawArgument2 = 106
GT.WS[ws].pos = {96.5, 1550.35, -50.95};
GT.WS[ws].angles_mech = {
							{math.rad(-178), math.rad(-2), math.rad(-20), math.rad(90)}
						}
GT.WS[ws].angles[1][1] = math.rad(180);
GT.WS[ws].angles[1][2] = math.rad(-180);
GT.WS[ws].reference_angle_Y = math.rad(90);   


ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.ship_Oerlikon_20 )
GT.WS[ws].drawArgument1 = 107
GT.WS[ws].drawArgument2 = 108
GT.WS[ws].pos = {14.35, 1550.35, -50.95};
GT.WS[ws].angles_mech = {
							{math.rad(-178), math.rad(-2), math.rad(-20), math.rad(90)}
						}
GT.WS[ws].angles[1][1] = math.rad(180);
GT.WS[ws].angles[1][2] = math.rad(-180);
GT.WS[ws].reference_angle_Y = math.rad(90);    


ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.ship_Oerlikon_20 )
GT.WS[ws].drawArgument1 = 109
GT.WS[ws].drawArgument2 = 110
GT.WS[ws].pos = {-56.49, 1550.35, -50.95};
GT.WS[ws].angles_mech = {
							{math.rad(-178), math.rad(-2), math.rad(-20), math.rad(90)}
						}
GT.WS[ws].angles[1][1] = math.rad(180);
GT.WS[ws].angles[1][2] = math.rad(-180);
GT.WS[ws].reference_angle_Y = math.rad(90);    


ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.ship_Oerlikon_20 )
GT.WS[ws].drawArgument1 = 111
GT.WS[ws].drawArgument2 = 112
GT.WS[ws].pos = {70.72, 1517.68, -50.95};
GT.WS[ws].angles_mech = {
							{math.rad(-178), math.rad(-2), math.rad(-20), math.rad(90)}
						}
GT.WS[ws].angles[1][1] = math.rad(180);
GT.WS[ws].angles[1][2] = math.rad(-180);
GT.WS[ws].reference_angle_Y = math.rad(90);    


ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.ship_Oerlikon_20 )
GT.WS[ws].drawArgument1 = 113
GT.WS[ws].drawArgument2 = 114
GT.WS[ws].pos = {-8.47, 1517.68, -50.95};
GT.WS[ws].angles_mech = {
							{math.rad(-178), math.rad(-2), math.rad(-20), math.rad(90)}
						}
GT.WS[ws].angles[1][1] = math.rad(180);
GT.WS[ws].angles[1][2] = math.rad(-180);
GT.WS[ws].reference_angle_Y = math.rad(90); 


ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.ship_Oerlikon_20 )
GT.WS[ws].drawArgument1 = 115
GT.WS[ws].drawArgument2 = 116
GT.WS[ws].pos = {-82.32, 1517.68, -50.95};
GT.WS[ws].angles_mech = {
							{math.rad(-178), math.rad(-2), math.rad(-20), math.rad(90)}
						}
GT.WS[ws].angles[1][1] = math.rad(180);
GT.WS[ws].angles[1][2] = math.rad(-180);
GT.WS[ws].reference_angle_Y = math.rad(90);        

 
 
 
------------------------------------------------------------------------------
-- Canons
------------------------------------------------------------------------------
-- Tribord

ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.ship_AK176 )
--GT.WS[ws].drawArgument1 = 13
--GT.WS[ws].drawArgument2 = 14
GT.WS[ws].pos = {108.5,1531,39}
GT.WS[ws].angles_mech = {
							{math.rad(-65), math.rad(-115), math.rad(-20), math.rad(70)}
						}
GT.WS[ws].angles[1][1] = math.rad(25);
GT.WS[ws].angles[1][2] = math.rad(25);
GT.WS[ws].reference_angle_Y = math.rad(-90);   
--GT.WS[ws].LN[1].fireAnimationArgument = 45;
--GT.WS[ws].LN[1].BR[1].connector_name = 'Point_Gun_01'
--GT.WS[ws].LN[1].BR[1].recoilArgument = 117;
--GT.WS[ws].LN[1].BR[1].recoilTime = 0.4;


ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.ship_AK176 )
GT.WS[ws].pos = {72.1,1531.5,38}
GT.WS[ws].angles_mech = {
							{math.rad(-65), math.rad(-115), math.rad(-20), math.rad(70)}
						}
GT.WS[ws].angles[1][1] = math.rad(25);
GT.WS[ws].angles[1][2] = math.rad(25);
GT.WS[ws].reference_angle_Y = math.rad(-90);  


ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.ship_AK176 )
GT.WS[ws].pos = {30.2,1531.5,38}
GT.WS[ws].angles_mech = {
							{math.rad(-65), math.rad(-115), math.rad(-20), math.rad(70)}
						}
GT.WS[ws].angles[1][1] = math.rad(25);
GT.WS[ws].angles[1][2] = math.rad(25);
GT.WS[ws].reference_angle_Y = math.rad(-90);  


ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.ship_AK176 )
GT.WS[ws].pos = {-6.2,1531.5,38}
GT.WS[ws].angles_mech = {
							{math.rad(-65), math.rad(-115), math.rad(-20), math.rad(70)}
						}
GT.WS[ws].angles[1][1] = math.rad(25);
GT.WS[ws].angles[1][2] = math.rad(25);
GT.WS[ws].reference_angle_Y = math.rad(-90);  


ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.ship_AK176 )
GT.WS[ws].pos = {-46.4,1531.5,38}
GT.WS[ws].angles_mech = {
							{math.rad(-65), math.rad(-115), math.rad(-20), math.rad(70)}
						}
GT.WS[ws].angles[1][1] = math.rad(25);
GT.WS[ws].angles[1][2] = math.rad(25);
GT.WS[ws].reference_angle_Y = math.rad(-90);  


ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.ship_AK176 )
GT.WS[ws].pos = {-82.7,1531.5,38}
GT.WS[ws].angles_mech = {
							{math.rad(-65), math.rad(-115), math.rad(-20), math.rad(70)}
						}
GT.WS[ws].angles[1][1] = math.rad(25);
GT.WS[ws].angles[1][2] = math.rad(25);
GT.WS[ws].reference_angle_Y = math.rad(-90);  


-- Babord


ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.ship_AK176 )
GT.WS[ws].pos = {108.5,1531.5,-38}
GT.WS[ws].angles_mech = {
							{math.rad(115), math.rad(65), math.rad(-20), math.rad(70)}
						}
GT.WS[ws].angles[1][1] = math.rad(25);
GT.WS[ws].angles[1][2] = math.rad(25);
GT.WS[ws].reference_angle_Y = math.rad(90);   


ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.ship_AK176 )
GT.WS[ws].pos = {72.1,1531.5,-38}
GT.WS[ws].angles_mech = {
							{math.rad(115), math.rad(65), math.rad(-20), math.rad(70)}
						}
GT.WS[ws].angles[1][1] = math.rad(25);
GT.WS[ws].angles[1][2] = math.rad(25);
GT.WS[ws].reference_angle_Y = math.rad(90);  


ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.ship_AK176 )
GT.WS[ws].pos = {30.2,1531.5,-38}
GT.WS[ws].angles_mech = {
							{math.rad(115), math.rad(65), math.rad(-20), math.rad(70)}
						}
GT.WS[ws].angles[1][1] = math.rad(25);
GT.WS[ws].angles[1][2] = math.rad(25);
GT.WS[ws].reference_angle_Y = math.rad(90);  


ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.ship_AK176 )
GT.WS[ws].pos = {-6.2,1531.5,-38}
GT.WS[ws].angles_mech = {
							{math.rad(115), math.rad(65), math.rad(-20), math.rad(70)}
						}
GT.WS[ws].angles[1][1] = math.rad(25);
GT.WS[ws].angles[1][2] = math.rad(25);
GT.WS[ws].reference_angle_Y = math.rad(90);  


ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.ship_AK176 )
GT.WS[ws].pos = {-46.4,1531.5,-38}
GT.WS[ws].angles_mech = {
							{math.rad(115), math.rad(65), math.rad(-20), math.rad(70)}
						}
GT.WS[ws].angles[1][1] = math.rad(25);
GT.WS[ws].angles[1][2] = math.rad(25);
GT.WS[ws].reference_angle_Y = math.rad(90);  


ws = GT_t.inc_ws();
GT.WS[ws] = {}
set_recursive_metatable(GT.WS[ws], GT_t.WS_t.ship_AK176 )
GT.WS[ws].pos = {-82.7,1531.5,-38}
GT.WS[ws].angles_mech = {
							{math.rad(115), math.rad(65), math.rad(-20), math.rad(70)}
						}
GT.WS[ws].angles[1][1] = math.rad(25);
GT.WS[ws].angles[1][2] = math.rad(25);
GT.WS[ws].reference_angle_Y = math.rad(90);  

------------------------------------------------------------------------------
-- end Canon
------------------------------------------------------------------------------

GT.Name = "pandorahigh"
GT.DisplayName = _("Pandora 1500m")
GT.Rate = 5500.000000

GT.Sensors = {  GT.sensor, 
				GT_t.SN_visual,
				OPTIC = {"long-range naval optics", "generic tank daysight",},
                RADAR = {
                    "Patriot str",
                    "ticonderoga search radar",
                }
            };

GT.DetectionRange  = 25000;
GT.ThreatRange = 25000;
GT.Singleton   ="yes";
GT.mapclasskey = "P0091000067";

   

GT.attribute = {wsType_Navy,wsType_Ship,wsType_AirCarrier,WSTYPE_PLACEHOLDER,
                    "Frigates",
                    "Aircraft Carriers",
                    "Arresting Gear",
					--"catapult",
         			"RADAR_BAND1_FOR_ARM",
                    "RADAR_BAND2_FOR_ARM",
					"DetectionByAWACS"
				};			
GT.Categories = {
					{name = "AircraftCarrier"},
					--{name = "AircraftCarrier With Catapult"},
					{name = "Armed Ship"},
                    {name = "AircraftCarrier With Tramplin"}
};
add_surface_unit(GT)



GT.RunWays =
{     
	{{ -300, 1500, 0}, 360, 208, 32, 0, 0, 0, 0, 0, 0, 0}, -- Landing runway
	{{  156, 1500, 0}, 360,  16, 26, 0, 0, 0, 0, 0, 0, 0}, -- Front door
	{{   48, 1500, 0}, 360,  16, 26, 0, 0, 0, 0, 0, 0, 0}, -- Back door
	{{ 88.5, 1500,-9}, 010,   1, 26, 0, 0, 0, 0, 0, 0, 0}, -- Parking (1)
	{{ 88.5, 1500, 9}, 350,   1, 26, 0, 0, 0, 0, 0, 0, 0}, -- Parking (2)
	{{-27.2, 1500,-9}, 010,   1, 26, 0, 0, 0, 0, 0, 0, 0}, -- Parking (3)
	{{-27.2, 1500, 9}, 350,   1, 26, 0, 0, 0, 0, 0, 0, 0}, -- Parking (4)
};
GT.RunWays.RunwaysNumber = #GT.RunWays